/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM websourcing, http://www.ow2.org/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: PetalsAdminServiceMBean.java 16:40:52 alouis $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.jmx.api;

/**
 * PEtALS Monitoring Service.
 *
 * @author alouis - EBM websourcing
 */
public interface IPetalsMonitoringService {

	public static class ReportKeyNames {

		public static final String ID = "id";
		public static final String TIME = "time";
		public static final String COMPONENT = "component";
		public static final String ROLE = "role";
		public static final String TYPE = "type";
		public static final String STATUS = "status";
		public static final String MEP = "mep";
		public static final String EXCEPTION = "exception";
		public static final String CONTENT = "content";
		public static final String SERVICE_NAME = "serviceName";
		public static final String ENDPOINT_NAME = "endpointName";
		public static final String OPERATION = "operation";
		public static final String CONTAINER = "container";
	}

	public static class MEPShortcuts {
		public static final String IN_ONLY = "InOnly";
		public static final String ROBUST_IN_ONLY = "RobustInOnly";
		public static final String IN_OUT = "InOut";
		public static final String IN_OPTIONAL_OUT = "InOptionalOut";
	}

	public static class Role {
		public static final String CONSUMER = "consumer";
		public static final String PROVIDER = "provider";
	}

	public static class Status {
		public static final String ACTIVE = "active";
		public static final String DONE = "done";
		public static final String ERROR = "error";
	}

}